import LayOut from "@/components/layout/layout";
import Archives from "@/pages/archives";
import Dep from "@/pages/dep";
import Home from "@/pages/home/home";
import LeaveApproval from "@/pages/leaveApproval";
import MaterialMgmt from "@/pages/materialMgmt";
import PersMgmt from "@/pages/persMgmt";
import PoliticalStudy from "@/pages/politicalStudy";
import PolRegulations from "@/pages/polRegulations";
import Tag from "@/pages/tag/tag";
import TeamMgmt from "@/pages/teamMgmt";
import User from "@/pages/user/user";
import WhseMgmt from "@/pages/whseMgmt";
import Storage from "@/pages/storage";
import WhseMgmtRoute from "@/pages/whseMgmt/whseMgmt_route";
import Emergency from "@/pages/emergency";
import Patrol from "@/pages/patrol";
import Training from "@/pages/training";
import PoverPage from "@/pages/poverPage";
import PoverDetail from "@/pages/poverDetail";
import SystemPage from "@/pages/system";
import ArchiveBox from "@/pages/archives/index_box";
import FileListPage from "@/pages/archives/file_list";
import OrgChartSelf from "@/pages/OrgChart";
import GloryPlaque from "@/pages/glory_plaque";
import Grid from "@/pages/grid";
import Community from "@/pages/community";
import PatrolBrigade from "@/pages/patrolBrigade";
import ExceCompet from "@/pages/exce_compet";
export const homeRouter = [
  {
    path: "/",
    index: true,
    element: <Home />,
  },
  {
    path: "/dashbord",
    index: false,
    element: <Home />,
  },
  {
    path: "/admin",
    element: <LayOut />,
    children: [
      {
        path: "/admin/orgChart",
        index: true,
        element: <OrgChartSelf />,
      },
      {
        path: "/admin/poverDetail",
        index: true,
        element: <PoverDetail />,
      },
      {
        path: "/admin/pover",
        index: true,
        element: <PoverPage />,
      },
      {
        path: "/admin/user",
        index: true,
        element: <User />,
      },
      {
        path: "/admin/tag",
        index: true,
        element: <Tag />,
      },
      {
        path: "/admin/dep",
        index: true,
        element: <Dep />,
      },
      {
        path: "/admin/grid",
        index: true,
        element: <Grid />,
      },
      {
        path: "/admin/patrolBrigade",
        index: true,
        element: <PatrolBrigade />,
      },
      {
        path: "/admin/community",
        index: true,
        element: <Community />,
      },
      {
        path: "/admin/archives",
        // index: true,
        element: <Archives />,
        children: [
          {
            path: "/admin/archives/box",
            index: true,
            element: <ArchiveBox />,
          },
          {
            path: "/admin/archives/folder/:id",
            index: true,
            element: <FileListPage />,
          },
        ],
      },
      {
        path: "/admin/leaveApproval",
        index: true,
        element: <LeaveApproval />,
      },
      {
        path: "/admin/materialMgmt",
        index: true,
        element: <MaterialMgmt />,
      },
      {
        path: "/admin/persMgmt",
        index: true,
        element: <PersMgmt />,
      },
      {
        path: "/admin/politicalStudy",
        index: true,
        element: <PoliticalStudy />,
      },
      {
        path: "/admin/polRegulations",
        index: true,
        element: <PolRegulations />,
      },
      {
        path: "/admin/teamMgmt",
        index: true,
        element: <TeamMgmt />,
      },
      {
        path: "/admin/emergency",
        index: true,
        element: <Emergency />,
      },
      {
        path: "/admin/patrol",
        index: true,
        element: <Patrol />,
      },
      {
        path: "/admin/training",
        index: true,
        element: <Training />,
      },
     
      {
        path: "/admin/whse",
        element: <WhseMgmtRoute />,
        children: [
          {
            path: "/admin/whse/whseMgmt",
            index: true,
            element: <WhseMgmt />,
          },
          {
            path: "/admin/whse/storage/:id",
            index: true,
            element: <Storage />,
          },
        ],
      },
      {
        path: "/admin/sys",
        element: <WhseMgmtRoute />,
        children: [
          {
            path: "/admin/sys/setting",
            index: true,
            element: <SystemPage />,
          },
          {
            path: "/admin/sys/gp",
            index: true,
            element: <GloryPlaque />,
          },
          {
            path: "/admin/sys/exce_compet",
            index: true,
            element: <ExceCompet />,
          },
        ],
      },
    ],
  },
];
